Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Как установить последнюю версию драйвера NVIDIA на Linux 4.5 (инструкция)  (Прочитано 1438 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн user00915

  • Автор темы
  • Участник
  • *
  • Сообщений: 128
    • Просмотр профиля
Здравствуйте. Хочу помочь людям, имеющим проблемы с установкой драйвера NVIDIA под Ubuntu с ядром версии 4.5 (и ниже). Дело в том, что я перерыл все сообщества, но так и не нашёл конкретной и чёткой инструкции по установке. Всё описано в общих словах, однако я затрону самую проблемную тему - ошибку сборки DKMS модуля NVIDIA.

Особенно полезно для тех, кто имеет Ubuntu 14.04 LTS, поскольку в 15.10 всё полегче. Итак:

1) Качаем бинарник NVIDIA драйвера: http://www.nvidia.ru/Download/Find.aspx?lang=ru (выбираем вашу видеокарту, ОС и так далее (run файл).

Затем проделываем следующее:

Ставим gcc-5 g++-5 !!!! Тут вся собака и зарыта! Дело в том, что в Ubuntu 14.04 по умолчанию стоит компилятор gcc 4.8.5, а он очень стар для сборки новых модулей NVIDIA (после нескольких часов просмотра логов и поиска в англоязычном интернете всё-таки дошёл до истины). Поэтому собственно:

sudo apt-get install gcc-5 g++-5

Дальше нужно сделать gcc-5 и g++-5 компиляторами по умолчанию!

sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-5 100sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-5 100
Проверяем версию gcc и g++:

gcc -vg++ -v
Должно высветиться 5.3 !!!

gcc version 5.3.0
Теперь собираем свой бинарник NVIDIA!

sudo chmod 777 NVIDIA-Linux-x86_64-361.28
./NVIDIA-Linux-x86_64-361.28 --add-this-kernel
У вас скомпилируются исходники NVIDIA под ваше конкретное ядро и на выходе будет файл NVIDIA-Linux-x86_64-361.28-custom.run


Вот и всё! Теперь в прямиком в Ubuntu Help и радуемся жизни: http://help.ubuntu.ru/wiki/%D0%B4%D1%80%D0%B0%D0%B9%D0%B2%D0%B5%D1%80_%D0%B2%D0%B8%D0%B4%D0%B5%D0%BE%D0%BA%D0%B0%D1%80%D1%82_nvidia (смотрим пункт Установка драйвера с официального сайта Nvidia (сборка из исходников))

Это эксклюзив, ребята!

И ещё: чтобы нормально без лагов работало, нужно поменять режим в PowerMizer (NVIDIA X Server Settings) на Maximum Perfomance! И проставить команду в автозагрузку (чтобы не слетало при рестарте):

nvidia-settings -a [gpu:0]/GpuPowerMizerMode=1
В начале, когда я это не проделал, у меня лагало жёстко всё, думал уже, что лучше бы остался на nouveau, а потом проставил этот режим и всё начало нормально работать! Успехов всем!
« Последнее редактирование: 14 Март 2016, 19:10:28 от user00915 »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
user00915,
А зачем это все нужно, когда есть PPA со всеми этими драйверами?
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн user00915

  • Автор темы
  • Участник
  • *
  • Сообщений: 128
    • Просмотр профиля
user00915,
А зачем это все нужно, когда есть PPA со всеми этими драйверами?
Попробуй поставь через PPA :) Ничего, если там после

sudo apt-get install nvidia-361 будет неприятный сюрприз в виде того, что драйвер опять же не соберётся из-за того, что версия gcc старая? Только говорить он этого не будет, тупо даст ошибку fstack-protector-strong not supported by compiler (в логах), а вы будете сидеть и гадать, почему так произошло. Я не раз пытался поставить через PPA, и если бы всё было так просто, я бы не писал эту инструкцию.

Да и PPA это как-то не по хардкорному, только Линукс, только сборка из исходников) Но конечно удобнее через репозитории всё делать, кто бы что не говорил, но опять же, NVIDIA драйвер и так и так не соберётся, пока не поставить ему самый новый gcc.
« Последнее редактирование: 14 Март 2016, 19:09:02 от user00915 »

Оффлайн lin_user

  • Старожил
  • *
  • Сообщений: 1292
    • Просмотр профиля
В PPA должны обновить скоро.

Хотя сам я всегда руками ставлю.

Оффлайн user00915

  • Автор темы
  • Участник
  • *
  • Сообщений: 128
    • Просмотр профиля
В PPA должны обновить скоро.

Хотя сам я всегда руками ставлю.
Да уже в Ubuntu 15.10 стоит 5 версия gcc по умолчанию, там уже попроще всё. А с 14.04 LTS мучаются. А сам я сижу на xfce. Мне очень нравится. Xubuntu.

Оффлайн werlock

  • Активист
  • *
  • Сообщений: 370
    • Просмотр профиля
Ничего не понял. Вот отсюда все ставится ppa:graphics-drivers/ppa
ядро 4.2. ЧЯДНТ
HP Pavilion All-in-One 27-a255ur
Intel Core i5-7400T CPU @ 2.4GHz | 16GB RAM

Оффлайн user00915

  • Автор темы
  • Участник
  • *
  • Сообщений: 128
    • Просмотр профиля
Ничего не понял. Вот отсюда все ставится ppa:graphics-drivers/ppa
ядро 4.2. ЧЯДНТ
У вас какая Ubuntu? Если 15.10, то да, всё поставится. А если 14.04 LTS, то вполне вероятно, что будут танцы с бубном! Ещё раз повторяю, инструкция для пользователей Ubuntu 14.04 LTS, у кого gcc по умолчанию стоит 4 версии нужно заменить на 5! 4.8.5 заменить на 5.3

Оффлайн werlock

  • Активист
  • *
  • Сообщений: 370
    • Просмотр профиля
Ну так в том то и дело что 14.04
HP Pavilion All-in-One 27-a255ur
Intel Core i5-7400T CPU @ 2.4GHz | 16GB RAM

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14922
  • Я не слышу.
    • Просмотр профиля
~.o

 

Страница сгенерирована за 0.058 секунд. Запросов: 24.